### Method

# Ide Device get_icon_name

#### Declaration

    const gchar*
    ide_device_get_icon_name (
      IdeDevice* self
    )

#### Description

Gets the icon to use when displaying the device in UI elements.

Available since: | 3.32

Gets property | `Ide.Device:icon-name`

#### Return value

Returns: | `const gchar*`
| An icon-name or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.